Page MenuHomePhabricator

Special:TimedMediaHandler lists treats "unknown status" as error
Closed, ResolvedPublic

Description

After adding a new type to the transcode list, transcodes for these files are not automatically triggered. It seems however that if a file has a transcode with "unknown status", then this counts as an error and is listed as such in Special:TimedMediaHandler.

We should probably optimize this. Make it so that unknown is not an error ? Or add a specific code for this situation ?

Event Timeline

TheDJ created this task.Apr 13 2016, 7:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2016, 7:09 PM
brion added a subscriber: brion.Apr 13 2016, 9:15 PM

Change 284255 had a related patch set uploaded (by TheDJ):
Don't list transcodes that were never initiated as failures.

https://gerrit.wikimedia.org/r/284255

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 6:37 PM
TheDJ moved this task from Backlog to Doing on the TimedMediaHandler board.Apr 19 2016, 6:37 PM

Change 284255 merged by jenkins-bot:
Don't list transcodes that were never initiated as failures.

https://gerrit.wikimedia.org/r/284255

TheDJ closed this task as Resolved.Apr 22 2016, 7:00 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.
TheDJ moved this task from Doing to Done on the TimedMediaHandler board.